CobolRecord (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.lang.internal.CobolRecord class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.lang.internal
Class CobolRecord

    java.lang.Object
      com.microfocus.cobol.lang.internal.CobolRecord

All Implemented Interfaces:
  DataType

public class CobolRecord
extends Object
implements DataType

Constructor Summary
`CobolRecord(int length)`
`CobolRecord(int length, String formatter, int recordNumber)`

Method Summary
`byte[]` | `getBytes()` getBytes() is a callback method that is called from the COBOL Runtime to access the byte[] representation of the Java instance.
`protected String` | `getDisplay(CobolDescriptor descriptor, int offset)`
`protected BigDecimal` | `getDouble(CobolDescriptor descriptor, int offset)`
`protected BigDecimal` | `getFloat(CobolDescriptor descriptor, int offset)`
`protected int` | `getLength()`
`protected BigDecimal` | `getNumeric(CobolDescriptor descriptor, int offset)`
`protected BigDecimal` | `getNumericEdited(CobolDescriptor descriptor, int offset)`
`protected void` | `setAlphanumericEdited(CobolDescriptor descriptor, String newValue, int offset)`
`void` | `setBytes(byte[] newData)`
`protected void` | `setDouble(CobolDescriptor descriptor, BigDecimal newNumber, int offset)`
`protected void` | `setFloat(CobolDescriptor descriptor, BigDecimal newNumber, int offset)`
`protected void` | `setNumeric(CobolDescriptor descriptor, BigDecimal newNumber, int offset)`
`protected void` | `setNumericEdited(CobolDescriptor descriptor, BigDecimal newNumber, int offset)`
`void` | `synchronizeData()` synchronizeData() is a callback method that allows a user defined Java COBOL datatype class to synchronize its internal fields with the updated byte[] representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolRecord

    public CobolRecord(int length,
                       String formatter,
                       int recordNumber)

### CobolRecord

    public CobolRecord(int length)

Method Detail

### setNumeric

    protected void setNumeric(CobolDescriptor descriptor,
                              BigDecimal newNumber,
                              int offset)
                       throws CobolRecordException

  Throws:
    `CobolRecordException`

### setNumericEdited

    protected void setNumericEdited(CobolDescriptor descriptor,
                                    BigDecimal newNumber,
                                    int offset)
                             throws CobolRecordException

  Throws:
    `CobolRecordException`

### setFloat

    protected void setFloat(CobolDescriptor descriptor,
                            BigDecimal newNumber,
                            int offset)
                     throws CobolRecordException

  Throws:
    `CobolRecordException`

### setDouble

    protected void setDouble(CobolDescriptor descriptor,
                             BigDecimal newNumber,
                             int offset)
                      throws CobolRecordException

  Throws:
    `CobolRecordException`

### setAlphanumericEdited

    protected void setAlphanumericEdited(CobolDescriptor descriptor,
                                         String newValue,
                                         int offset)
                                  throws CobolRecordException

  Throws:
    `CobolRecordException`

### getNumeric

    protected BigDecimal getNumeric(CobolDescriptor descriptor,
                                    int offset)
                             throws CobolRecordException

  Throws:
    `CobolRecordException`

### getNumericEdited

    protected BigDecimal getNumericEdited(CobolDescriptor descriptor,
                                          int offset)
                                   throws CobolRecordException

  Throws:
    `CobolRecordException`

### getFloat

    protected BigDecimal getFloat(CobolDescriptor descriptor,
                                  int offset)
                           throws CobolRecordException

  Throws:
    `CobolRecordException`

### getDouble

    protected BigDecimal getDouble(CobolDescriptor descriptor,
                                   int offset)
                            throws CobolRecordException

  Throws:
    `CobolRecordException`

### getDisplay

    protected String getDisplay(CobolDescriptor descriptor,
                                int offset)
                         throws CobolRecordException

  Throws:
    `CobolRecordException`

### getLength

    protected int getLength()

### getBytes

    public byte[] getBytes()
                    throws CobolRecordException

  Description copied from interface: `DataType`
  getBytes() is a callback method that is called from the COBOL Runtime to access the byte[] representation of the Java instance.

  Specified by:
    `getBytes` in interface `DataType`
  Returns:
    byte[] of the Java instance
  Throws:
    `CobolRecordException`

### setBytes

    public void setBytes(byte[] newData)
                  throws CobolRecordException

  Throws:
    `CobolRecordException`

### synchronizeData

    public void synchronizeData()
                         throws CobolRecordException

  Description copied from interface: `DataType`
  synchronizeData() is a callback method that allows a user defined Java COBOL datatype class to synchronize its internal fields with the updated byte[] representation.

  Specified by:
    `synchronizeData` in interface `DataType`
  Throws:
    `CobolRecordException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.